[**@rxap/firebase v19.0.4-dev.0**](../README.md)

***

[@rxap/firebase](../globals.md) / RxapAngularFireStorageModule

# Class: RxapAngularFireStorageModule

Defined in: [storage.ts:12](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/firebase/src/lib/storage.ts#L12)

## Constructors

### new RxapAngularFireStorageModule()

> **new RxapAngularFireStorageModule**(`storage`, `useEmulator`): [`RxapAngularFireStorageModule`](RxapAngularFireStorageModule.md)

Defined in: [storage.ts:14](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/firebase/src/lib/storage.ts#L14)

#### Parameters

##### storage

`AngularFireStorage`

##### useEmulator

`null` | \[`string`, `number`\]

#### Returns

[`RxapAngularFireStorageModule`](RxapAngularFireStorageModule.md)
